﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        btnTest.Click += btnTest_Click;
        this.uwgHotelsList.RowSelectionChanged += uwgHotelsList_RowSelectionChanged;
    }

    void uwgHotelsList_RowSelectionChanged(object sender, SelectedRowEventArgs e)
    {
        uwtHotelsTab.Tabs.FindTabFromKey("HotelsEdit").Enabled = true;
        uwtHotelsTab.SelectedIndex = uwtHotelsTab.Tabs.FindTabFromKey("HotelsEdit").Index;       
    }

    void btnTest_Click(object sender, EventArgs e)
    {
        uwtHotelsTab.Tabs.FindTabFromKey("HotelsEdit").Enabled = true;
        uwtHotelsTab.SelectedIndex = uwtHotelsTab.Tabs.FindTabFromKey("HotelsEdit").Index;
    }

    protected void Page_Load(object sender, EventArgs e)
	{
		if (Session["data"] == null)
			Session["data"] = GetData();

		this.uwgHotelsList.DataSource = Session["data"];
	}


	private DataTable GetData(int count = 24)
	{
		DataTable dtData = new DataTable("Employees");

		dtData.Columns.Add("HotelID", typeof(int));
		dtData.Columns.Add("Name", typeof(string));
		dtData.Columns.Add("OnSite", typeof(bool));
		dtData.Columns.Add("DateOfHire", typeof(DateTime));
		dtData.Columns.Add("Department", typeof(int));

		for (int i = 0; i < count; i++)
		{
			dtData.Rows.Add(new object[] { i, string.Format("Name {0}", i), (i % 2 == 0), DateTime.Today.Date.AddDays(-1 * i), i % 8 });
		}

		dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

		return dtData;
	}


}